project (Architect_HAL)

FIND_PACKAGE(Boost COMPONENTS date_time filesystem thread program_options)

include_directories (${Matrices_SOURCE_DIR})
link_directories(${Matrices_BINARY_DIR})
include_directories (${LexicalUnits_SOURCE_DIR})
link_directories(${LexicalUnits_BINARY_DIR})

add_executable(hal_architect hal_architect.cpp Config.cpp Architect.cpp MatrixSaver.cpp
	Options.cpp)

target_link_libraries(hal_architect ${Boost_LIBRARIES})

target_link_libraries(hal_architect ${LOG4CXX_LIBRARY})

target_link_libraries (hal_architect corpus joskipi antlr matrices
	lexicalunits poliqarp_reader)

install(TARGETS hal_architect 
	RUNTIME DESTINATION bin
	)
